ROOTDIR=..\..
ARCHDIR=$(ROOTDIR)\arch
SRCDIR=$(ROOTDIR)\source
LIBDIR=$(ROOTDIR)\lib
SUPPDIR=$(ROOTDIR)\support
JPEGLIBDIR=$(SUPPDIR)\jpeglib\src
MP3LIBDIR=$(SUPPDIR)\mp3lib\src
ZLIBDIR=$(SUPPDIR)\zlib\src
XVIDDIR=$(SUPPDIR)\xvidcore\src
first_rule:distclean
clean:
	if exist $(SRCDIR)\*.obj del $(SRCDIR)\*.obj
	if exist $(SRCDIR)\PAL\*.obj del $(SRCDIR)\PAL\*.obj
	if exist $(SRCDIR)\TAL\*.obj del $(SRCDIR)\TAL\*.obj
	if exist $(SRCDIR)\algorith\*.obj del $(SRCDIR)\algorith\*.obj
	if exist $(SRCDIR)\geom\*.obj del $(SRCDIR)\geom\*.obj
	if exist $(SRCDIR)\input\*.obj del $(SRCDIR)\input\*.obj
	if exist $(SRCDIR)\math\*.obj del $(SRCDIR)\math\*.obj
	if exist $(SRCDIR)\vfs\*.obj del $(SRCDIR)\vfs\*.obj
	if exist $(SRCDIR)\vfs\drivers\*.obj del $(SRCDIR)\vfs\drivers\*.obj
	if exist $(SRCDIR)\vidgl\*.obj del $(SRCDIR)\vidgl\*.obj
	if exist $(ARCHDIR)\win32\*.obj del $(ARCHDIR)\win32\*.obj
	if exist $(ARCHDIR)\x86\*.obj del $(ARCHDIR)\x86\*.obj
	if exist $(ARCHDIR)\common\*.obj del $(ARCHDIR)\common\*.obj
	if exist $(SRCDIR)\*.lib del $(SRCDIR)\*.lib
	if exist $(SRCDIR)\*.dll del $(SRCDIR)\*.dll
	if exist $(SRCDIR)\*.exp del $(SRCDIR)\*.exp
	if exist $(SRCDIR)\*.pch del $(SRCDIR)\*.pch
	if exist $(SRCDIR)\*.pdb del $(SRCDIR)\*.pdb
	if exist $(SRCDIR)\*.ilk del $(SRCDIR)\*.ilk
	if exist $(SRCDIR)\*.tds del $(SRCDIR)\*.tds
#	if exist $(SRCDIR)\libemu.exe gzip $(SRCDIR)\libemu.exe
	if exist $(SRCDIR)\libemu.obj del $(SRCDIR)\libemu.obj
	if exist $(LIBDIR)\win32\vc_dll\libV.exp del $(LIBDIR)\win32\vc_dll\libV.exp
#	if exist $(LIBDIR)\win32\vc_dll\libV.res del $(LIBDIR)\win32\vc_dll\libV.res
	if exist $(LIBDIR)\win32\watcom\libV.bak del $(LIBDIR)\win32\watcom\libV.bak
	if exist $(ROOTDIR)\build\win32\watcom\*.err del $(ROOTDIR)\build\win32\watcom\*.err
	if exist $(ROOTDIR)\pascal\*.dcu del $(ROOTDIR)\pascal\*.dcu
	if exist $(JPEGLIBDIR)\*.obj del $(JPEGLIBDIR)\*.obj
	if exist $(MP3LIBDIR)\*.obj del $(MP3LIBDIR)\*.obj
	if exist $(ZLIBDIR)\*.obj del $(ZLIBDIR)\*.obj
	if exist $(XVIDDIR)\*.obj del $(XVIDDIR)\*.obj
	if exist $(XVIDDIR)\bitstream\*.obj del $(XVIDDIR)\bitstream\*.obj
	if exist $(XVIDDIR)\bitstream\x86_asm\*.obj del $(XVIDDIR)\bitstream\x86_asm\*.obj
	if exist $(XVIDDIR)\dct\*.obj del $(XVIDDIR)\dct\*.obj
	if exist $(XVIDDIR)\dct\x86_asm\*.obj del $(XVIDDIR)\dct\x86_asm\*.obj
	if exist $(XVIDDIR)\image\*.obj del $(XVIDDIR)\image\*.obj
	if exist $(XVIDDIR)\image\x86_asm\*.obj del $(XVIDDIR)\image\x86_asm\*.obj
	if exist $(XVIDDIR)\motion\*.obj del $(XVIDDIR)\motion\*.obj
	if exist $(XVIDDIR)\motion\x86_asm\*.obj del $(XVIDDIR)\motion\x86_asm\*.obj
	if exist $(XVIDDIR)\prediction\*.obj del $(XVIDDIR)\prediction\*.obj
	if exist $(XVIDDIR)\quant\*.obj del $(XVIDDIR)\quant\*.obj
	if exist $(XVIDDIR)\quant\x86_asm\*.obj del $(XVIDDIR)\quant\x86_asm\*.obj
	if exist $(XVIDDIR)\utils\*.obj del $(XVIDDIR)\utils\*.obj
	if exist $(XVIDDIR)\utils\x86_asm\*.obj del $(XVIDDIR)\utils\x86_asm\*.obj
distclean:clean
	if exist $(LIBDIR)\win32\vc\libV.lib del $(LIBDIR)\win32\vc\libV.lib
	if exist $(LIBDIR)\win32\icl\libV.lib del $(LIBDIR)\win32\icl\libV.lib
	if exist $(LIBDIR)\win32\vc_dll\libV.lib del $(LIBDIR)\win32\vc_dll\libV.lib
	if exist $(LIBDIR)\win32\vc_dll\libV.dll del $(LIBDIR)\win32\vc_dll\libV.dll
	if exist $(LIBDIR)\win32\bcc32\libV.lib del $(LIBDIR)\win32\bcc32\libV.lib
	if exist $(LIBDIR)\win32\watcom\libV.lib del $(LIBDIR)\win32\watcom\libV.lib
